attribute vec3 vn;
attribute vec2 vt;
attribute float seedHax;
varying vec3 eye;
varying vec3 normal;
varying vec2 texC;
uniform float anim;
uniform float powah;
void main()
{
vec4 modVert = gl_Vertex;

vec3 addPos = vec3(0.0);
addPos.x = sin(anim*0.00321 + seedHax*8.3)*powah*100.0;
addPos.y = cos(anim*0.0031 + seedHax*8.233)*powah*100.0;
addPos.z = sin(anim*0.00315 + seedHax*8.23)*powah*100.0;
modVert.xyz+=addPos;
gl_Position = gl_ModelViewProjectionMatrix * modVert;
eye = (gl_ModelViewMatrix * modVert).xyz;
normal = gl_NormalMatrix*vn;
texC = vt;
}